[SOLVED] Error on Compiling Spigot

Discussion in 'Spigot Discussion' started by CrypticStorm, Jul 10, 2013.

  1. So I recently implemented a patch to CraftBukkit that I will need for my custom server. I then decided I wanted to use Spigot since it is better than CraftBukkit in performance. After converting my commits into a patch file, I followed the exact instructions on the github page, and got this error when compiling. http://pastebin.com/N9m5Uq4W

    I have tried many different ways to compile and all of them are throwing this error. I see no relation to my patch in the error so I am very confused as to why this isn't working.

    I have done just about every combination of build, applyPatches, rebuiltPatches, upstreamMerge and commiting that could be seen as a fix. Nothing is working.

    If the problem is with my patch, PLEASE tell me how to properly make a CB patch for Spigot because I am very new to this.
     
  2. SOLVED: Maven 3.1.0 was having a fit so I downgraded to 3.0.5 and it works fine.